package com.keao.edu.common.enums;

public enum MessageTypeEnum implements BaseEnum<String, MessageTypeEnum> {

    SMS_VERIFY_CODE_LOGIN("SMS_VERIFY_CODE_LOGIN", "验证码登录"),
    EXAM_REGISTRATION_URL_PUSH("EXAM_REGISTRATION_URL_PUSH", "报名连接推送");

    MessageTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private String code;

    private String msg;

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return code;
    }
}
